using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("接收人员")]
    public class T_PR_DRUG_CARRY_RECORD_DETAIL_ACCEPT : MesEntityBase
    {
        [Description("药品明细")]
        [DataFieldForeignKey("Nav_RecordDetail", "Nav_Accepts")]
        public Guid CARRY_RECORD_DETAIL_ID { get; set; }

        [Description("药品明细")]
        public virtual T_PR_DRUG_CARRY_RECORD_DETAIL Nav_RecordDetail { get; set; }
        
        [Description("发起人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("发起人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("顺序")]
        public int? ROW_NO { get; set; }
    }
}
